package com.yidianling.course.coursePlay.moudle;

import com.yidianling.course.bean.CourseHostInfoBean;
import com.yidianling.ydlcommon.data.ShareData;

//课程列表
//课程
public class Course {
    /**
     * 课程id
     */
    public String id;
    /**
     * 课程标题
     */
    public String title;
    public String courseType;
    public String image;
    public String pic;
    /**
     * 课程价格
     */
    public String applyFee;
    /**
     * 分享数据
     */
    public ShareData share;
    /**
     * 课程原价
     */
    public String originalApplyFee;
    /**
     * 课程报名人数
     */
    public int joinNum;
    /**
     * 是否显示返利标签
     * 0不显示 1显示
     */
    public int isInvite;

    /**
     * 促销标签：
     * 是否促销 1活动中 2结束or没开始 3倒计时
     */
    public String isPromotion;
    /**
     * 课程促销价
     */
    public String promotionApplyFee;
    /**
     * 主讲人是否开通私聊 0否1是
     */
    public int isOpenChat;
    /**
     * 是否显示私聊，倾诉，咨询三个按钮入口
     */
    public int isShowHostButton;
    /**
     * 私聊页面统一路由
     */
    public String chatLinkUri;

    public String doctorName;

    public String linkUrl;
    /**
     * 评论的次数
     */
    public int userCommentNum;

    /**
     * 子课程数量
     */
    public int subCourseNum;
    /**
     * 热门课程 1不是 2是 ,
     */
    public int recommend;
    /**
     * 新门课程 1是 2不是 ,
     */
    public int newCourse;
    /**
     * 主讲人展示的信息
     */
    public String hostInfo;
    /**
     * 课程封面
     */
    public String hostListPic;
    /**
     * 试听附件
     */
    public String demoFile;
    /**
     * 0无 1音频 2视频
     */
    public int demoType;

    /**
     * 是否已购买
     */
    public boolean isBuy = false;


    public CourseHostInfoBean courseHostInfo;
}