package com.yidianling.course.coursePlay.moudle

import com.yidianling.ydlcommon.data.ShareData
import java.util.*

/**
 * 课程播放页 数据实例
 * Created by harvie on 2017/6/28 0028.
 */
public class CoursePlayBean {

    var id = 0
    var host_uid = 0
    var apply_fee = 0.00f
    var zan_count = 0
    var is_zan = 0  //1.已赞 2.未赞
    var title = ""
    var pic = ""
    var is_buy = 0  //1.已报名 2.未报名
    var share: ShareData? = null
    var button_status = 0  //1.显示购买按钮 2.不显示 按钮文案统一：参加课程

    //播放列表
    var attachmentMedia: ArrayList<String>? = null

    //试听列表
    var attachmentDemo: ArrayList<String>? = null

    //专家详情
    var doctor: Doctor? = null

    //评论
    var comments: ArrayList<Comments>? = null
    var attachmentTitle: ArrayList<String>? = null
    var attachmentIndex = 0
    var courseIds: ArrayList<String>? = null

    //专家详情
    inner class Doctor {
        var doctor_id = 0
        var uid = 0
        var head = ""
        var name = ""
        var desc = ""
        var consult_num = "" //咨询人数
        var ths_num = "" //感谢数
        var fans_num = "" //粉丝数量
    }

    //评论列表实体类
    public class Comments {
        var uid = ""
        var create_time = ""
        var content = ""
        var name = ""
        var head = ""
    }

}