package com.yidianling.course.courseSearch.http

import com.yidianling.course.courseSearch.CourseSearchBean
import com.yidianling.ydlcommon.http.BaseAPIResponse
import io.reactivex.Observable
import retrofit2.http.*

/**
 * @author <a href="https://www.jianshu.com/u/c1e5310dd724">xujian</a>
 * @描述: 课程搜索列表Api
 * @Copyright Copyright (c) 2019
 * @Company 壹点灵
 * @date 2019/01/08
 */
interface CourseSearchListApi{

    //专家课程搜索列表
    @GET("auth/course/getList")
    fun courseSearchList(@Query("page")page: Int, @Query("keyWord")keyWord: String): Observable<BaseAPIResponse<CourseSearchBean>>
}