package com.yidianling.course.course_special_list.http

import com.ydl.ydlcommon.data.http.BaseAPIResponse
import com.yidianling.course.course_special_list.bean.CourseSpecialListBean
import io.reactivex.Observable

/**
 * @author yuanwai
 * @描述:课程专题列表请求接口
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/9/18
 */
interface ICourseSpecialListHttp {
    /**
     * 课程专题列表
     *
     *
     */
    fun courseSpecialList(param: CourseSpecialListParam):
            Observable<BaseAPIResponse<CourseSpecialListBean>>
}