package com.yidianling.course.course_special_list.model

import com.ydl.ydlcommon.data.http.RxUtils
import com.yidianling.course.course_special_list.bean.CourseSpecialListBean
import com.yidianling.course.course_special_list.contract.ICourseSpecialListContract
import com.yidianling.course.course_special_list.http.CourseSpecialListDataManager
import com.yidianling.course.course_special_list.http.CourseSpecialListParam
import io.reactivex.Observable

/**
 * @author yuanwai
 * @描述:课程专题列表数据模型实现类
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/9/18
 */
class CourseSpecialListModelImpl : ICourseSpecialListContract.Model {

    override fun specialListRequest(param: CourseSpecialListParam): Observable<CourseSpecialListBean> {
        return CourseSpecialListDataManager.getHttp().courseSpecialList(param)
            .compose(RxUtils.resultJavaData())
    }
}