package com.ydl.ydlcommon.utils.actionutil

import com.ydl.ydlcommon.base.BaseApp
import com.ydl.ydlcommon.base.config.YDLConstants


/**
 * Created by xj on 2019/7/1.
 */
class BIConstants{


    companion object {
        /**
         * 消息端来源
         * ydl:ydl-app-android-user
         * xlzx:ydl-app-android-xlzx
         */

        var APP_ID:String = ""
            get() {
                    return "ydl-app-android-"+ (if (BaseApp.instance.getGlobalConfig().appFrom== YDLConstants.FROM_XLZX)"xlzx" else "user")
                }

        var APP_NAME:String = ""
            get() {
                    return if (BaseApp.instance.getGlobalConfig().appFrom== YDLConstants.FROM_XLZX)"心理咨询" else "壹点灵心理咨询"
                }

        var PACKAGE_NAME:String = ""
            get() {
                    return if (BaseApp.instance.getGlobalConfig().appFrom== YDLConstants.FROM_XLZX)"com.cxzapp.xinlizixun" else "com.cxzapp.yidianling"
                }

        /**
         * 操作系统
         */
        const val OS = "Android" //android系统

        /**
         * 埋点板块
         */
        const val PART_ID_LOGIN_MAIN = "login_main"
        //咨询筛选页
        const val PART_ID_CONSULT_FILTER_PAGE = "consult_filter_page"
        //百度监测 应用启动行为
        const val WELCOME_PAGE = "welcome_page"
        //百度监测 用户注册行为
        const val APP_REGISTER_PAGE = "app_register_page"
    }
}