package com.yidianling.course.coursePlay.http

import com.yidianling.course.coursePlay.moudle.CourseListDataBean
import com.yidianling.ydlcommon.http.BaseAPIResponse
import io.reactivex.Observable

/**
 * @author yuanwai
 * @描述:课程列表页请求接口
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/12/11
 */
interface ICourseListHttp{
    /**
     * 专家搜索页请求
     */
    fun getCourseList(params : String): Observable<BaseAPIResponse<CourseListDataBean>>
}