package com.yidianling.course.courseSearch.http

import com.yidianling.course.courseSearch.CourseSearchBean
import com.yidianling.ydlcommon.http.BaseAPIResponse
import com.yidianling.ydlcommon.http.BaseResponse
import io.reactivex.Observable

/**
 * @author <a href="https://www.jianshu.com/u/c1e5310dd724">xujian</a>
 * @描述: 课程搜索列表请求接口
 * @Copyright Copyright (c) 2019
 * @Company 壹点灵
 * @date 2019/01/08
 */
interface ICourseSearchListHttp{
    /**
     * 课程专题列表
     */
    fun courseSearchList(page:Int, keyWord:String): Observable<BaseAPIResponse<CourseSearchBean>>
}