package com.yidianling.course.course_special_list.http

import com.ydl.ydlcommon.data.http.BaseAPIResponse
import com.yidianling.course.course_special_list.bean.CourseSpecialListBean
import io.reactivex.Observable
import retrofit2.http.GET
import retrofit2.http.HEAD
import retrofit2.http.QueryMap

/**
 * @author yuanwai
 * @描述:课程专题列表Api
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/9/18
 */
interface CourseSpecialListApi {

    //课程专题列表
    //todo
    @GET("auth/course/listCoursesBySpecialId")
    fun courseSpecialList(@QueryMap params: Map<String, String>): Observable<BaseAPIResponse<CourseSpecialListBean>>
}