package com.yidianling.course.model;

import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;

import org.json.JSONException;
import org.json.JSONObject;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by Jim on 2018/7/14 0014.
 */

public class ClassifiedCoursesBean {
    public Head head;
    public Body body;
    public Footer footer;


    public static class Head {

        /**
         * title : 精品课程
         * tab1Name : 免费课程
         * tab2Name : 付费课程
         */

        public String title;
        public String tab1Name;
        public String tab2Name;


    }

    public static class Body {

        public List<TabListBean> oneTabList;
        public List<TabListBean> twoTabList;

        public static class TabListBean {
            /**
             * id : 6
             * image : https://img.ydlcdn.com/file/2015/11/zawz18il050dybbm.jpg
             * title : 阳光心灵分享会第一期：谈谈心中的那缕烦忧
             * expert :
             * price : 30.00
             * popularity : 67
             * linkUrl : https://testh2.yidianling.com/course/6
             */

            public String id;
            public String image;
            public String title;
            public String expert;
            public String price;
            public String popularity;
            public String linkUrl;

        }
    }

    public static class Footer {
        public String title;
        public String linkUrl;
    }
}
