package com.yidianling.course.model;

import com.google.gson.annotations.SerializedName;

public class CourseBean {

    public String id;
    public String image;
    public String title;
    public String leftBottom;
    public String rightBottom;
    public String linkUrl;


    /**
     * 是否显示返利标签
     * 0不显示 1显示
     */
    public int isInvite;

    /**
     * 促销标签：
     * 1活动中 2结束or没开始 3倒计时
     * <p>
     * 1和3都显示促销标签
     * <p>
     * if(is_promotion == 1) 时 列表金额取 promotion_apply_fee字段
     */
    @SerializedName("isPromotion")
//这么java接口和php接口字段名不同，兼容两个接口
    public String is_promotion;

    @SerializedName("promotionApplyFee")
    public String promotion_apply_fee;
}